What Operating System does Plesk 6.5 for Windows require?

On this page you will find the answers to questions that are frequently asked.

Windows plesk requirements

Plesk 6.5 for Windows runs on Windows Server 2000 with Service Pack 3 and IIS 5 or Windows Server 2003 and IIS 6.


Category: Algemeen



Related questions



All questions Previous page



* All prices on our website exclude VAT - Terms and conditions - Acceptable Use Policy -

  • Hosting Concepts
  • Powered by Parallels
  • iDeal
  • Dell servers
  • RBS Worldpay
  • Openprovider

All rights reserved to Flexservers dedicated server hosting.

Windows plesk requirements